Class | RDoc::Alias
In: | rdoc/code_objects.rb
Parent: | CodeObject

Represent an alias, which is an old_name/ new_name pair associated with a particular context

### Methods

new to_s

### Attributes

comment | [RW] |
new_name | [RW] |
old_name | [RW] |
text | [RW] |

### Public Class methods

new(text, old_name, new_name, comment)

[Source]

    # File rdoc/code_objects.rb, line 693
        def initialize(text, old_name, new_name, comment)
          super()
          @text = text
          @old_name = old_name
          @new_name = new_name
          self.comment = comment
        end

### Public Instance methods

to_s()

[Source]

    # File rdoc/code_objects.rb, line 701
        def to_s
          "alias: #{self.old_name} ->  #{self.new_name}\n#{self.comment}"
        end

[Validate]